﻿using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Edit.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EditControlLineBackColor
{
    public partial class Form1 : MetroForm
    {
        #region Variables
        Color SelectedLineBackColor = Color.Red;
        #endregion

        #region Constructor

        public Form1()
        {
            InitializeComponent();
            this.editControl1.LoadFile("..//..//Form2.cs");
        }

        #endregion

        #region Events

        // To remove Line Back color
        private void buttonAdv2_Click(object sender, EventArgs e)
        {
            // Removes line back color.
            this.editControl1.RemoveLineBackColor(editControl1.CurrentLine);
        }

        // To set Line Back color
        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            IBackgroundFormat format = this.editControl1.RegisterBackColorFormat(SelectedLineBackColor, SelectedLineBackColor, System.Drawing.Drawing2D.HatchStyle.Cross, true);
            // Set the background for the entire line of text.
            this.editControl1.SetLineBackColor(editControl1.CurrentLine, true, format);
        }

        private void colorPickerButton1_ColorSelected(object sender, EventArgs e)
        {
            SelectedLineBackColor = this.colorPickerButton1.SelectedColor;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            IBackgroundFormat format = this.editControl1.RegisterBackColorFormat(Color.Yellow, Color.Green, System.Drawing.Drawing2D.HatchStyle.NarrowHorizontal, true);
            // Set the background for the entire line of text.
            this.editControl1.SetLineBackColor(2, true, format);
            format = this.editControl1.RegisterBackColorFormat(Color.Gray, Color.Red, System.Drawing.Drawing2D.HatchStyle.NarrowHorizontal, true);
            this.editControl1.SetLineBackColor(5, true, format);
            format = this.editControl1.RegisterBackColorFormat(Color.Green, Color.Green, System.Drawing.Drawing2D.HatchStyle.NarrowHorizontal, true);
            this.editControl1.SetLineBackColor(7, true, format);
        }

        #endregion
    }
}
